<?php

class SortableController extends Extension
{
	
	static $allowed_actions = array (
		'dosort',
		'sort'
	);
	
	public function sort()
	{
    	if(!Permission::check(SortableDataObject::sorting_permission())) {
				Security::permissionFailure($this->owner,
					"You must be logged in to do sorting."
				);
    	}
    	else {
    		Director::redirect($this->owner->Link());
    	}	
	}

  public function dosort() {
  		if($this->owner->urlParams['ID'] && is_array($_POST['item'])) {
				foreach($_POST['item'] as $sort => $id) {
					if($obj = DataObject::get_by_id($this->owner->urlParams['ID'],$id)) {
						$obj->SortOrder = $sort;
						$obj->write();
					}
				}
  		}
  		die();
	}


}


?>