<?php

class SortableDataObjectSet extends Extension
{
	
	private function beginSortable($tag)
	{
		if(!Permission::check(SortableDataObject::sorting_permission()))
			return "<{$tag}>";
			Requirements::customScript("
				var url_segment = '" . Controller::curr()->URLSegment . "';
			");		
			Requirements::javascript('sortable_dataobject/javascript/jquery-1.2.6.min.js');
			Requirements::javascript('sortable_dataobject/javascript/ui.js');
			Requirements::javascript("sortable_dataobject/javascript/sortable_dataobject_{$tag}.js");
			Requirements::css('sortable_dataobject/css/sortable_dataobject.css');
			$class = $this->owner->First()->ClassName;
			$this->owner->sort("SortOrder","ASC");
			return "<{$tag} class='sortable-{$class}'>";
	}
	
	
	public function BeginSortableUL()
	{
		return $this->beginSortable('ul');
	}
	
	public function EndSortableUL()
	{
		return "</ul>";
	}
	
	public function BeginSortableDIV()
	{
		return $this->beginSortable('div');
	}
	
	public function EndSortableDIV()
	{
		return "</div>";
	}
	
   


}


?>